Last Comment Bug 732962 - Implement signing on demand for xulrunner
: Implement signing on demand for xulrunner
Status: RESOLVED FIXED
[Leave open after merge]
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: P2 normal (vote)
: ---
Assigned To: Rail Aliiev [:rail]
:
Mentors:
Depends on:
Blocks: 627182
  Show dependency treegraph
 
Reported: 2012-03-05 07:14 PST by Rail Aliiev [:rail]
Modified: 2012-10-26 05:16 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
sign xulrunner (1.78 KB, patch)
2012-03-05 07:14 PST, Rail Aliiev [:rail]
catlee: review+
ted: review+
lukasblakk+bugs: approval‑mozilla‑beta+
lukasblakk+bugs: approval‑mozilla‑release+
lukasblakk+bugs: approval‑mozilla‑esr10+
rail: checkin+
Details | Diff | Splinter Review

Description Rail Aliiev [:rail] 2012-03-05 07:14:15 PST
Created attachment 602895 [details] [diff] [review]
sign xulrunner

* xulrunner shouldn't be codesigned internally (our current practice)
* GPG sign SDK
Comment 2 Marco Bonardo [::mak] (Away 6-20 Aug) 2012-03-13 04:46:23 PDT
https://hg.mozilla.org/mozilla-central/rev/5b2ba557ec83
Comment 3 Rail Aliiev [:rail] 2012-03-14 07:35:52 PDT
Comment on attachment 602895 [details] [diff] [review]
sign xulrunner

This patch implements signing on demand for xulrunner. Xulrunner isn't a part of Firefox CI process (only nightlies) and exists in release builds. The patch simplifies the release build procedure by removing xulrunner signing step which is manual right now.

Regression caused by (bug #): none
Testing completed (on m-c, etc.): tested in dev environment by running staging releases 
Risk to taking this patch (and alternatives if risky): very low
String changes made by this patch: none
Comment 4 Lukas Blakk [:lsblakk] use ?needinfo 2012-03-14 07:48:31 PDT
Comment on attachment 602895 [details] [diff] [review]
sign xulrunner

[Triage comment]
Approval for low-risk, non-CI affecting.
Comment 5 Rail Aliiev [:rail] 2012-03-14 11:46:06 PDT
Comment on attachment 602895 [details] [diff] [review]
sign xulrunner

http://hg.mozilla.org/releases/mozilla-beta/rev/438dd47e6f69
Comment 6 Rail Aliiev [:rail] 2012-03-16 08:16:13 PDT
Comment on attachment 602895 [details] [diff] [review]
sign xulrunner

I would like to land this patch on m-r and esr10 branches. 12.0b1 release passed without any problems. The patch will remove error-prone manual steps used by releng.
Comment 7 Lukas Blakk [:lsblakk] use ?needinfo 2012-03-21 13:53:51 PDT
Comment on attachment 602895 [details] [diff] [review]
sign xulrunner

[Triage Comment]
Looks foo, low risk, please go ahead.

Note You need to log in before you can comment on or make changes to this bug.